Skip to main content
POST
/
api
/
v2
/
pdi
Create a new PDI
curl --request POST \
  --url https://app.tarefy.com/nodeapi/api/v2/pdi \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "collaboratorId": 123,
  "supervisorId": 123,
  "situationalAnalysis": {},
  "goals": [
    {}
  ],
  "evaluationId": 123,
  "participantId": 123,
  "facilitatorId": 123
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://developers.tarefy.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
collaboratorId
integer
required
supervisorId
integer
required
situationalAnalysis
object
required
goals
object[]
required
evaluationId
integer
participantId
integer
facilitatorId
integer

Response

200 - application/json

PDI criado com sucesso

The response is of type object.